### Method

# Gtk Application get_actions_for_accel

#### Declaration [src]

    char**
    gtk_application_get_actions_for_accel (
      GtkApplication* application,
      const char* accel
    )

#### Description [src]

Returns the list of actions (possibly empty) that `accel` maps to.

Each item in the list is a detailed action name in the usual form.

This might be useful to discover if an accel already exists in order to prevent installation of a conflicting accelerator (from an accelerator editor or a plugin system, for example). Note that having more than one action per accelerator may not be a bad thing and might make sense in cases where the actions never appear in the same context.

In case there are no actions for a given accelerator, an empty array is returned. `NULL` is never returned.

It is a programmer error to pass an invalid accelerator string.

If you are unsure, check it with gtk_accelerator_parse() first.

#### Parameters

`accel` | `const char*`
| An accelerator that can be parsed by gtk_accelerator_parse().
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | An array of `utf8`
| A `NULL`-terminated array of actions for `accel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.